<style type="text/css">
    .all_options{
        border: 1px solid #EC8C3A;
        border-radius: 5px;
        margin: 10px 0;
    }

    ul.shipments{
        margin: 0px;
        max-height: 700px;
        overflow-y: auto;
        overflow-x: hidden;
    }

    .single-shipment {
        padding: 5px;
        margin-bottom: 5px;
        max-width: 100%;
        border: 1px solid #ccc;
    }

    .itemcheck{
        margin: 20px auto 0;
    }

    ul.shipments li {
        margin-bottom: 5px;
        border: 1px solid #ccc;
    }

    input.itemcheck {
        width: 20px;
        position: relative;
        left: 10px;
        vertical-align: middle;
    }

    label.shipmentdetails {
        width: 90%;
        position: relative;
        padding-top: 3px;
        left: 20px;
        display: inline-block;
        vertical-align: middle;
    }

    .cocode{
        font-weight: bold;
        text-transform: uppercase;
    }

    .shipment-details{
        text-align: right;
        text-transform: uppercase;
        font-size: 14px;
        color: #EC8C3A;
        font-weight: bold;
        vertical-align: middle;
        font-style: italic;
        width: 100%;
        position: relative;
        top: 10px;
        left: 20px;
        overflow: hidden;
    }

    .actionbox, .clientsmsg, .mymsg {
        background-color: #f3f3f3;
        border: 1px solid #ddd;
        padding: 15px 25px 25px;
        margin-left: 45px;
        min-height: 114px;
        padding-left: 40px;
        position:relative;
        margin-bottom: 15px;
    }

    .actionbox h5{
        margin:0;
    }

    h4 {
        font-size: 13pt;
        font-weight: bold;
        margin-bottom: 10px;
    }

    h4.title,.primary {
        color: #E86136;
    }
</style>
<form name="personalFrm" novalidate>

    <div class="wm-step step-1">
        <div class="group">
            <div class="row">
                <div class="col-sm-12">
                    <h2 style="margin-bottom:0">Personal Information</h2>
                    <small>*required</small>
                    <div class="clearfix">&nbsp;</div>
                </div>
                <div class="col col-md-3">
				<span>
					Let's get to know you
				</span>
                </div>
                <div class="col-md-9">
                    <div class="row">
                        <div class="col col-md-6">
                            <magic-field>
                                <label ng-show="showLabel" class="show-hide">First name *</label>
                                <input type="text" name="billing_first_name"
                                       ng-model="$parent.quickship.$storage.billing.first_name"
                                       id="s1_personalFirstName" class="form-control required"
                                       placeholder="First name *" required>
                            </magic-field>
                            <span class="msg-error"
                                  ng-show="$parent.quickship.validatesPersonalDetails === false && personalFrm.billing_first_name.$error.required">required field.</span>
                        </div>
                        <div class="col col-md-6">
                            <magic-field>
                                <label ng-show="showLabel" class="show-hide">Last name *</label>
                                <input type="text" name="billing_last_name"
                                       ng-model="$parent.quickship.$storage.billing.last_name"
                                       id="s1_personalSecondName" class="form-control required"
                                       placeholder="Last name *" required>
                            </magic-field>
                            <span class="msg-error"
                                  ng-show="$parent.quickship.validatesPersonalDetails === false && personalFrm.billing_last_name.$error.required">required field.</span>
                        </div>
                    </div>
                </div>
            </div>
            <!-- row 1 -->

            <div class="row">
                <div class="col col-md-3">
				<span>
					What is your address?
				</span>
                </div>
                <div class="col col-md-9">
                    <div class="row">
                        <div class="col col-md-6">
                            <magic-field>
                                <label ng-show="showLabel" class="show-hide">Address 1 *</label>
                                <input type="text" name="billing_address1"
                                       ng-model="$parent.quickship.$storage.billing.address1" id="s1_personalAddress1"
                                       class="form-control required" placeholder="Address 1 *" required>
                            </magic-field>
                            <span class="msg-error"
                                  ng-show="$parent.quickship.validatesPersonalDetails === false && personalFrm.billing_address1.$error.required">required field.</span>
                        </div>
                        <div class="col col-md-6">
                            <magic-field>
                                <label ng-show="showLabel" class="show-hide">Address 2</label>
                                <input type="text" name="billing_address2"
                                       ng-model="$parent.quickship.$storage.billing.address2" id="s1_personalAddress2"
                                       class="form-control" placeholder="Address 2">
                            </magic-field>
                            <span class="msg-error"></span>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col col-md-6">
                            <magic-field>
                                <label ng-show="showLabel" class="show-hide">City *</label>
                                <input type="text" name="billing_city"
                                       ng-model="$parent.quickship.$storage.billing.city"
                                       ng-required="!$parent.quickship.$storage.billing.postal_code"
                                       id="s1_personalCity" class="form-control required" placeholder="City *">
                            </magic-field>
                            <span class="msg-error"
                                  ng-show="$parent.quickship.validatesPersonalDetails === false && personalFrm.billing_city.$error.required">required field.</span>
                        </div>
                        <div class="col col-md-6">
                            <div class="row row-inner">
                                <div class="col col-md-6">
                                    <magic-field>
                                        <label ng-show="showLabel" class="show-hide">State/Province *</label>
                                        <input type="text" name="billing_state"
                                               ng-required="!$parent.quickship.$storage.billing.postal_code"
                                               ng-model="$parent.quickship.$storage.billing.state" id="s1_personalState"
                                               class="form-control required" placeholder="State/Province *">
                                    </magic-field>
                                    <span class="msg-error"
                                          ng-show="$parent.quickship.validatesPersonalDetails === false && personalFrm.billing_state.$error.required">required field.</span>
                                </div>
                                <div class="col col-md-6 no-margin">
                                    <magic-field>
                                        <label ng-show="showLabel" class="show-hide">Postal Code *</label>
                                        <input type="text" name="billing_postal_code"
                                               ng-required="!$parent.quickship.$storage.billing.city && !$parent.quickship.$storage.billing.state"
                                               ng-model="$parent.quickship.$storage.billing.postal_code"
                                               id="s1_personalPostalcode" class="form-control"
                                               placeholder="Postal Code *">
                                    </magic-field>
                                    <span class="msg-error"
                                          ng-show="$parent.quickship.validatesPersonalDetails === false && personalFrm.billing_postal_code.$error.required">required field.</span>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col col-md-6">
                            <select name="billing_country" ng-model="$parent.quickship.$storage.billing.country"
                                    id="s1_personalCountry" class="form-control required" required>
                                <option value="">-- Country * --</option>
                                <option value="{{country.key}}"
                                        ng-repeat="country in $parent.quickship.$storage.countries track by $index"
                                        ng-selected="country.key == $parent.quickship.$storage.billing.country">
                                    {{country.label}}
                                </option>
                            </select>
                            <span class="msg-error"
                                  ng-show="$parent.quickship.validatesPersonalDetails === false && personalFrm.billing_country.$error.required">required field.</span>
                        </div>
                    </div>
                </div>
            </div>
            <!-- row 3 -->

            <div class="row">
                <div class="col col-md-3">
				<span>
					How can we get in touch with you?
				</span>
                </div>
                <div class="col-md-9">
                    <div class="row">
                        <div class="col col-md-6">
                            <magic-field>
                                <label ng-show="showLabel" class="show-hide">Email *</label>
                                <input type="email" name="billing_email"
									   ng-model="$parent.quickship.$storage.billing.email"
                                       id="s1_personalEmail" class="form-control required email" placeholder="Email *"
                                       required>
                            </magic-field>
                            <span class="msg-error"
                                  ng-show="$parent.quickship.validatesPersonalDetails === false && personalFrm.billing_email.$error.required">required field.</span>
                            <span class="msg-error"
                                  ng-show="$parent.quickship.validatesPersonalDetails === false && personalFrm.billing_email.$error.email">required field.</span>
                        </div>
                        <div class="col col-md-6">
                            <magic-field>
                                <label ng-show="showLabel" class="show-hide">Phone *</label>
                                <input type="text" name="billing_phone" ng-model="$parent.quickship.$storage.billing.phone"
                                       id="s1_personalPhone" class="form-control required phone" plus-prefix
                                       placeholder="Phone *" required>
                            </magic-field>
                            <span class="msg-error"
                                  ng-show="$parent.quickship.validatesPersonalDetails === false && (personalFrm.billing_phone.$error.required || $parent.quickship.$storage.billing.phone.length < 2)">required field.</span>
                        </div>
                    </div>
                </div>
            </div>
            <!-- row 2 -->

            <div class="row">
                <div class="col col-md-3">
				<span>
					Is this the same as the shipping address?
				</span>
                </div>
                <div class="col-md-9">
                    <div class="row">
                        <div class="col col-md-6">

                            <toggle-switch
                                    ng-model="$parent.quickship.$storage.billing_shipping"
                                    on-label="yes"
                                    off-label="no">
                            </toggle-switch>

                            <span class="msg-error"></span>
                        </div>
                    </div>
                </div>
            </div>
            <!-- row 4 -->
        </div>
        <div class="group last shipInformation" ng-show="$parent.quickship.$storage.billing_shipping === false">
            <div class="row">
                <h2>Shipping information</h2>

                <div class="col col-md-3">
				<span>
					Who is going to receive the parcel?
				</span>
                </div>
                <div class="col-md-9">
                    <div class="row">
                        <div class="col col-md-6">
                            <magic-field>
                                <label ng-show="showLabel" class="show-hide">First name *</label>
                                <input type="text" name="shipping_first_name"
                                       ng-required="$parent.quickship.$storage.billing_shipping === false"
                                       ng-model="$parent.quickship.$storage.shipping.first_name" id="s1_shipFirstName"
                                       class="form-control required" placeholder="First name *">
                            </magic-field>
                            <span class="msg-error"
                                  ng-show="$parent.quickship.validatesPersonalDetails === false && personalFrm.shipping_first_name.$error.required">required field.</span>
                        </div>
                        <div class="col col-md-6">
                            <magic-field>
                                <label ng-show="showLabel" class="show-hide">Last name *</label>
                                <input type="text" name="shipping_last_name"
                                       ng-required="$parent.quickship.$storage.billing_shipping === false"
                                       ng-model="$parent.quickship.$storage.shipping.last_name" id="s1_shipSecondName"
                                       class="form-control required" placeholder="Last name *">
                            </magic-field>
                            <span class="msg-error"
                                  ng-show="$parent.quickship.validatesPersonalDetails === false && personalFrm.shipping_last_name.$error.required">required field.</span>
                        </div>
                    </div>
                </div>
            </div>
            <!-- row 1 -->


            <div class="row">

                <div class="col col-md-3">
				<span>
					What is the address you want your parcel to be sent to?
				</span>
                </div>
                <div class="col col-md-9">
                    <div class="row">
                        <div class="col col-md-6">
                            <magic-field>
                                <label ng-show="showLabel" class="show-hide">Address 1 *</label>
                                <input type="text" name="shipping_address1"
                                       ng-required="$parent.quickship.$storage.billing_shipping === false"
                                       ng-model="$parent.quickship.$storage.shipping.address1" id="s1_shipAddress1"
                                       class="form-control required" placeholder="Address 1 *">
                            </magic-field>
                            <span class="msg-error"
                                  ng-show="$parent.quickship.validatesPersonalDetails === false && personalFrm.shipping_address1.$error.required">required field.</span>
                        </div>
                        <div class="col col-md-6">
                            <magic-field>
                                <label ng-show="showLabel" class="show-hide">Address 2</label>
                                <input type="text" name="shipping_address2"
                                       ng-model="$parent.quickship.$storage.shipping.address2" id="s1_shipAddress2"
                                       class="form-control" placeholder="Address 2">
                            </magic-field>
                            <span class="msg-error"
                                  ng-show="$parent.quickship.validatesPersonalDetails === false && personalFrm.shipping_address2.$error.required">required field.</span>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col col-md-6">
                            <magic-field>
                                <label ng-show="showLabel" class="show-hide">City *</label>
                                <input type="text" name="shipping_city"
                                       ng-required="$parent.quickship.$storage.billing_shipping === false"
                                       ng-model="$parent.quickship.$storage.shipping.city"
                                       id="s1_shipCity" class="form-control required" placeholder="City *">
                            </magic-field>
                            <span class="msg-error"
                                  ng-show="$parent.quickship.validatesPersonalDetails === false && personalFrm.shipping_city.$error.required">required field.</span>
                        </div>
                        <div class="col col-md-6">
                            <div class="row row-inner">
                                <div class="col col-md-6">
                                    <magic-field>
                                        <label ng-show="showLabel" class="show-hide">State/Province *</label>
                                        <input type="text" name="shipping_state"
                                               ng-required="$parent.quickship.$storage.billing_shipping === false"
                                               ng-model="$parent.quickship.$storage.shipping.state" id="s1_shipState"
                                               class="form-control required" placeholder="State/Province *">
                                    </magic-field>
                                    <span class="msg-error"
                                          ng-show="$parent.quickship.validatesPersonalDetails === false && personalFrm.shipping_state.$error.required">required field.</span>
                                </div>
                                <div class="col col-md-6">
									<magic-field>
										<label ng-show="showLabel" class="show-hide">Postal Code *</label>
                                    <input type="text" name="shipping_postal_code"
                                           ng-required="$parent.quickship.$storage.billing_shipping === false"
                                           ng-model="$parent.quickship.$storage.shipping.postal_code"
                                           id="s1_shipPostalcode"
                                           class="form-control" placeholder="Postal Code *">
                                    <span class="msg-error"
                                          ng-show="$parent.quickship.validatesPersonalDetails === false && personalFrm.shipping_postal_code.$error.required">required field.</span>
								</magic-field>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col col-md-6">
                            <select name="shipping_country" ng-model="$parent.quickship.$storage.shipping.country"
                                    ng-required="$parent.quickship.$storage.billing_shipping === false"
                                    id="s1_shipCountry" class="form-control required">
                                <option selected="selected" value="">-- Country * --</option>
                                <option value="{{country.key}}"
                                        ng-repeat="country in $parent.quickship.$storage.countries track by $index"
                                        ng-selected="country.key == $parent.quickship.$storage.shipping.country">
                                    {{country.label}}
                                </option>
                            </select>
                            <span class="msg-error"
                                  ng-show="$parent.quickship.validatesPersonalDetails === false && personalFrm.shipping_country.$error.required">required field.</span>
                        </div>
                    </div>
                </div>
            </div>


        </div>

        <div class="row text-center">
            <div class="col col-md-12">

                <button ng-if="$parent.quickship.$storage.hasReceivedTransactions" type="button" class="btn btn-success go-to-slide-3" ng-click="goToPersonalInfo(personalFrm)">Back</button>
                <button type="button" class="btn btn-success go-to-slide-3" ng-click="goNext(personalFrm)">Next</button>
                <br><br>
            </div>
        </div>

    </div>
    <!-- step-1 -->
</form>
